/*
 * EMR7370.h
 *
 * Author: chris (at) hobbyelektronik (dot) org
 */ 

#ifndef _FUNC_NOP_
#define _FUNC_NOP_
#define nop() asm volatile ("nop")
#endif

#ifndef EMR7370_H_
#define EMR7370_H_

typedef struct {
	uint16_t address;
	uint16_t power;
	uint8_t voltage;
	uint16_t current;
	uint16_t energy;
	uint8_t last_refresh;
} t_emr;

extern t_emr emr_data;

void EMR_Init();
uint8_t EMR_DecodePacket();
void EMR_StartRx();
#endif /* EMR7370_H_ */
