#ifndef UART_H_
#define UART_H_

#include <avr/io.h>
#include <avr/pgmspace.h>

#define USR UCSRA
#define UCR UCSRB
#define UBRR UBRRL

void uart_init(void);
void uart_putc(char c);
void uart_puts(char *s);
void uart_putu(uint16_t i);
void uart_puts_flash(const char *s);
void uart_puthex(uint8_t i);
void uart_puthhex(uint8_t i);
#define uart_putfs(s) uart_puts_flash(PSTR(s))


#endif /* UART_H_ */
